/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 */

package org.enhydra.barracuda.discRack.data.person;

import com.lutris.appserver.server.sql.*;
import java.sql.*;
import java.math.*;
import java.io.Serializable;
import com.lutris.dods.builder.generator.dataobject.*;


/**
 * Data structure for DO class.
 * A container for data members of a DO class.
 * A DO class contains a reference to a DataStruct class.  This reference
 * can be null (a DO whose data has not yet been retrieved from the database),
 * allowing a DO object to be a lightweight placeholder until its data is needed.
 *
 * @version $Revision: 1.2 $
 * @author  ChristianC
 * @since   org.enhydra.barracuda.discRack
 */
public class PersonDataStruct implements Cloneable, Serializable {

    /**
     * A DO refers to this DataStruct.
     * readOnly is set to true when the DO is stored in its class cache.
     */
    public boolean readOnly = false;


/**
 * 
 */
   public String login = null;


/**
 * 
 */
   public String password = null;


/**
 * 
 */
   public String firstname = null;


/**
 * 
 */
   public String lastname = null;

    /**
     * Create a copy of the guts of a DO.
     *
     * @exception DatabaseManagerException 
     *       if createExisting() fails for a contained DO
     * @exception ObjectIdException 
     *       if GenericDO has trouble obtaining a valid id.
     */
    public PersonDataStruct duplicate() 
    throws DatabaseManagerException, ObjectIdException {
        PersonDataStruct ret = new PersonDataStruct ();
 

		

	ret.login = GenericDO.copyString(login);

	
	

	ret.password = GenericDO.copyString(password);

	
	

	ret.firstname = GenericDO.copyString(firstname);

	
	

	ret.lastname = GenericDO.copyString(lastname);

	


	return ret;
    }
}
